Subject: Re: bug#53353: 29.0.50; spurious <tab-bar> <mouse-movement> events generated by mouse motion in tab-bar

From: Po Lu <[email-masked]>
Date: Wed, 19 Jan 2022 17:31:07 +0800

Eli Zaretskii <[email-masked]> writes:

> The usual protocol is that Lisp programs that enable mouse tracking
> are those that bind mouse-movement events to 'ignore' as they see
> fit.  If that is what you propose, then it follows that LSP should do
> that if it doesn't want to support mouse-movement on the tab bar.

bindings.el binds mouse-movement events to `ignore', so I think the same
should be done with the tab bar (and tool bar) mouse-movement events.

But either way, this is probably not a bug in Emacs.  Mark, can you
verify whether or not `track-mouse' is not nil when those spurious
events are generated?  Thanks.